# Update API token PUT https://app.unleash-instance.example.com/api/admin/api-tokens/{token} Content-Type: application/json Updates an existing API token with a new expiry date. The `token` path parameter is the token's `secret`. If the token does not exist, this endpoint returns a 200 OK, but does nothing. Reference: https://docs.getunleash.io/api/update-api-token ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Update API token version: endpoint_apiTokens.updateApiToken paths: /api/admin/api-tokens/{token}: put: operationId: update-api-token summary: Update API token description: >- Updates an existing API token with a new expiry date. The `token` path parameter is the token's `secret`. If the token does not exist, this endpoint returns a 200 OK, but does nothing. tags: - - subpackage_apiTokens parameters: - name: token in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: This response has no body. content: application/json: schema: $ref: '#/components/schemas/API tokens_updateApiToken_Response_200' '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} '415': description: >- The operation does not support request payloads of the provided type. Please ensure that you're using one of the listed payload types and that you have specified the right content type in the "content-type" header. content: {} requestBody: description: updateApiTokenSchema content: application/json: schema: $ref: '#/components/schemas/updateApiTokenSchema' components: schemas: updateApiTokenSchema: type: object properties: expiresAt: type: string format: date-time description: The new time when this token should expire. required: - expiresAt API tokens_updateApiToken_Response_200: type: object properties: {} ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/api-tokens/token" payload = { "expiresAt": "2023-09-04T11:26:24+02:00" } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/api-tokens/token'; const options = { method: 'PUT', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"expiresAt":"2023-09-04T11:26:24+02:00"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/api-tokens/token" payload := strings.NewReader("{\n \"expiresAt\": \"2023-09-04T11:26:24+02:00\"\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/api-tokens/token") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"expiresAt\": \"2023-09-04T11:26:24+02:00\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://app.unleash-instance.example.com/api/admin/api-tokens/token") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"expiresAt\": \"2023-09-04T11:26:24+02:00\"\n}") .asString(); ``` ```php request('PUT', 'https://app.unleash-instance.example.com/api/admin/api-tokens/token', [ 'body' => '{ "expiresAt": "2023-09-04T11:26:24+02:00" }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/api-tokens/token"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"expiresAt\": \"2023-09-04T11:26:24+02:00\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = ["expiresAt": "2023-09-04T11:26:24+02:00"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/api-tokens/token")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```